Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: git

Tunables Interfaces Templates

### Description:

GIT revision control system.

### Tunables:

git_cgi_enable_homedirs

##### Default value

false

##### Description

Determine whether Git CGI can search home directories.

git_cgi_use_cifs

##### Default value

false

##### Description

Determine whether Git CGI can access cifs file systems.

git_cgi_use_nfs

##### Default value

false

##### Description

Determine whether Git CGI can access nfs file systems.

git_session_bind_all_unreserved_ports

##### Default value

false

##### Description

Determine whether Git session daemon can bind TCP sockets to all unreserved ports.

git_session_send_syslog_msg

##### Default value

false

##### Description

Determine whether Git session daemons can send syslog messages.

git_session_users

##### Default value

false

##### Description

Determine whether calling user domains can execute Git daemon in the git_session_t domain.

git_system_enable_homedirs

##### Default value

false

##### Description

Determine whether Git system daemon can search home directories.

git_system_use_cifs

##### Default value

false

##### Description

Determine whether Git system daemon can access cifs file systems.

git_system_use_nfs

##### Default value

false

##### Description

Determine whether Git system daemon can access nfs file systems.

Return

### Interfaces:

git_read_generic_sys_content_files( domain )

##### Summary

Read generic system content files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return

### Templates:

git_role( role , domain )

##### Summary

Role access for Git session.

##### Parameters

Parameter: | Description:
--- | ---
role | Role allowed access.
domain | User domain for the role.

Return